Bug 182966 - 11s in options.keymap.ActionsSearchProvider.evaluate()
11s in options.keymap.ActionsSearchProvider.evaluate()
Status: RESOLVED WONTFIX
Product: platform
Classification: Unclassified
Component: -- Other --
7.0
All All
: P3 (vote)
: TBD
Assigned To: Antonin Nebuzelsky
issues@platform
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-26 20:32 UTC by Exceptions Reporter
Modified: 2012-11-07 15:15 UTC (History)
28 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (256.00 KB, application/nps)
2010-03-26 20:32 UTC, Exceptions Reporter
Details
nps snapshot (256.00 KB, application/nps)
2010-03-31 20:41 UTC, David Konecny
Details
nps snapshot (256.00 KB, application/nps)
2010-04-09 15:09 UTC, misterm
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2010-03-26 20:32:01 UTC
Build: NetBeans IDE Dev (Build 100326-c0c8da2a52b0)
VM: Java HotSpot(TM) Client VM, 10.0-b19, Java(TM) SE Runtime Environment, 1.6.0_04-b12
OS: Windows XP
Maximum slowness yet reported was 11328 ms, average is 9591
Comment 1 Exceptions Reporter 2010-03-26 20:32:07 UTC
Created attachment 96021 [details]
nps snapshot
Comment 2 David Konecny 2010-03-31 20:41:07 UTC
Created attachment 96477 [details]
nps snapshot
Comment 3 misterm 2010-04-09 15:09:09 UTC
Created attachment 96967 [details]
nps snapshot
Comment 4 Theofanis Oikonomou 2012-06-04 11:25:29 UTC
From the attached snapshots it looks like a problem in org.netbeans.modules.options.editor.keymap.EditorBridge.initActionMap()
Comment 5 Milutin Kristofic 2012-06-05 15:00:27 UTC
BaseTextUI.installUI is slowed down by autoupdate UI http://statistics.netbeans.org/exceptions/npslog?id=582138
Comment 6 Jiri Rechtacek 2012-06-05 15:11:30 UTC
(In reply to comment #5)
> BaseTextUI.installUI is slowed down by autoupdate UI
> http://statistics.netbeans.org/exceptions/npslog?id=582138

Right. This one is from AU, but rest of 140 dep. are from other parts of IDE.
Comment 7 Jiri Rechtacek 2012-06-05 15:13:12 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > BaseTextUI.installUI is slowed down by autoupdate UI
> > http://statistics.netbeans.org/exceptions/npslog?id=582138
> 
> Right. This one is from AU, but rest of 140 dep. are from other parts of IDE.

Tracked as isseu 190246.
Comment 8 Milutin Kristofic 2012-06-06 12:50:52 UTC
Jarda, ActionSearchProvider.evaluate() is fixed in Bug #137829, there are no more reports from it.

Jirka, I send report 582138 with autoupdate issue to bug #190246.

Fanis, EditorBridge.initActionMap() is not a problem. First it only in snapshots from 2010, not in 2012 snapshots and it called the ActionSearchProvider.evaluate() which was fixed.


Sending back to platform-other.
Comment 9 Ondrej Vrabec 2012-11-07 15:15:51 UTC
I went through the snapshots coming from 2012 from dev builds. AWT is stuck in class-loading of thousands of files across the IDE, i guess nothing to fixed. The rest seems to be already handled by jirka and milutin.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo